import React, { useState, useEffect } from 'react';
import { Input, Menu, Dropdown, Button, Icon, message, Table, Divider, Tag, Select } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import channels from './channelList.less';
import router from 'umi/router';
import request from '../../utils/request'

const { Option } = Select;
function handleChange(value) {
  console.log(`selected ${value}`);
}


const menu = (
  <Menu onClick={handleMenuClick}>
    <Menu.Item key="1">
      <Icon type="user" />
      1st menu item
    </Menu.Item>
    <Menu.Item key="2">
      <Icon type="user" />
      2nd menu item
    </Menu.Item>
    <Menu.Item key="3">
      <Icon type="user" />
      3rd item
    </Menu.Item>
  </Menu>
);
// const dataSource = [
//   {
//     key: '1',
//     img: 'http://img0.imgtn.bdimg.com/it/u=4246326797,2657995307&fm=26&gp=0.jpg',
//     name: '123',
//     age: 32,
//     address: '西湖区湖底公园1号',
//   },
//   {
//     key: '2',
//     img: '',
//     age: 42,
//     address: '西湖区湖底公园1号',
//   },
// ];

const columns = [
  {
    title: '头像',
    dataIndex: 'avatarurl',
    key: 'avatarurl',
    align: 'center',

    // eslint-disable-next-line jsx-a11y/alt-text
    render: (text, record) => <img src={record.avatarurl }/>,
  },
  {
    title: '用户姓名',
    dataIndex: 'name',
    key: 'name',
    align: 'center',
  },
  {
    title: '电话',
    dataIndex: 'tel',
    key: 'tel',
    align: 'center',
  },
  {
    title: '性别',
    dataIndex: 'sex',
    key: 'sex',
    align: 'center',
  },
  {
    title: '推荐客户',
    dataIndex: 'recommendCount',
    key: 'recommendCount',
    align: 'center',
  },
  {
    title: '邀请经纪人',
    dataIndex: 'rest',
    key: 'rest',
    align: 'center',
  },
];

// 跳转到编辑商品
function toEditGoods() {
  router.push({
    pathname: '/channel/addChannel',
    query: {
      a: 'b',
    },
  });
}
const header = props => {
  // eslint-disable-next-line react-hooks/rules-of-hooks
  const [data, setData] = useState({})
//   const [page, changePage] = useState({})
  // eslint-disable-next-line react-hooks/rules-of-hooks
  useEffect(() => {
    request({
        url: '/api/admin/channel/broker',
        method: 'GET',
        params: { pageNum: 1, pageSize: 10 },
    // eslint-disable-next-line no-shadow
    }).then(data => {
        console.log(data)
        setData(data)
    })
  }, [])

  const getList = e => {
    request({
        url: '/api/xxx',
        method: 'GET',
        params: {},
    // eslint-disable-next-line no-shadow
    }).then(data => {
        setData(data)
    })
  }

return (
  <>
    <div className={ channels.searchBox }>
      <div>
        <span className={ channels.selectName }>姓名</span>
        <Input style ={{ width: 150 }} />
        <span className={ channels.selectName }>电话</span>
        <Input style ={{ width: 150 }}/>
      </div>
      <Button className={channels.about}>查询</Button>
    </div>
    <Table dataSource={data.records} columns={columns} />
  </>
)
}

function handleMenuClick(e) {
  message.info('Click on menu item.');
  console.log('click', e);
}
export default header
